import axios from "../utilsDemo/request";
let {get, post,baseUrl} = axios

//基础
export const requestUrl = baseUrl;
//根据名称查询实验室列表
export const systemSubjectGetList = data => post("/system/subject/getList",data)
//获取logo图片
export const getLogoInfo = data => get("/system/logo/config/getLogoInfo",data)

//安全隐患统计
export const optionCharts = data => get("/laboratory/bigview/check/option/charts",data)
//安全隐患统计-按实验室
export const optionLabCharts = data => get("/laboratory/bigview/pitfallSubColumn",data)
//人员违规统计
export const newStatistics = data => get("/laboratory/violation/bigData/newStatistics",data)
//安全准入办理统计
export const listCollegeApplyColumn = data => get("/laboratory/apply/listCollegeApplyColumn",data)
//预案执行统计
export const getYearControlInfo = data => get("/laboratory/control/getYearControlInfo",data)
//危险源统计
export const queryHazardColumnar = data => get("/laboratory/hazard/queryBigViewHazardList",data)
//实验室分类
export const getTypeCount = data => get("/laboratory/subject/getTypeCount",data)
//实验室分级
export const getFiedCount = data => get("/laboratory/subject/getFiedCount",data)

//实验室人员
export const onlineSumByBigView = data => get("/laboratory/bigview/sub/onlineSumByBigView",data)
//分级管控
export const workInfo = data => get("/laboratory/bigview/manage/work/info",data)
//安全检查批次
export const indexListRelease = data => get("/laboratory/release/indexListRelease",data)
//实验室信息
export const mySub = data => get("/laboratory/bigview/my/sub",data)
//工作通知
export const listCollegeTz = data => get("/laboratory/notifyplan/listCollegeTz",data)
//工作计划
export const listCollegeJh = data => get("/laboratory/notifyplan/listCollegeTz",data)
//安全检查
export const safetyInspectTitle = data => get("/zd-security/DataStatistics/bigViewCount",data)
//安全检查
export const indexCollegeListCheck = data => get("/zd-security/DataStatistics/bigViewList",data)

//获取报警信息
export const groupGetList = data => get("/laboratory/plan/group/getList",data)
//安全准入办理
export const applyListCollege = data => get("/laboratory/apply/listCollege",data)
//安全准入办理-图表
export const applyListCollegeColumn = data => get("/laboratory/apply/listCollegeColumn",data)
//安全准入办理-查询院系列表
export const departmentsList = data => get("/system/dept/departments/list",data)
//安全准入办理-查询实验室
export const getSubjectDict = data => get("/laboratory/subject/getSubjectDict",data)
//分级管控
export const chartDetails = data => get("/laboratory/bigview/manage/work/chartDetails",data)
//分级管控-图表
export const workCharts = data => get("/laboratory/bigview/manage/work/charts",data)
//安全隐患统计
export const optionChartDetails = data => get("/laboratory/bigview/check/option/chartDetails",data)
//安全隐患统计-隐患类型
export const checkOptionList = data => get("/laboratory/checkOption/list",data)
//人员违规统计
export const detailSubList = data => get("/laboratory/violation/bigData/detail/subList",data)
//人员违规统计-图表
export const detailColumnar = data => get("/laboratory/violation/bigData/detail/columnar",data)
//查询违规原因
export const getDictViolation = data => get("/laboratory/violationScoreSite/getDictViolation",data)
//安全检查-遗留问题
export const indexCheckDetalsWzg = data => get("/zd-security/DataStatistics/remainList",data)
//安全检查-本次检查问题
export const indexCheckDetalsYzg = data => get("/zd-security/DataStatistics/rectificationList",data)
//进入实验室人员
export const onlineByBigView = data => get("/laboratory/bigview/sub/onlineByBigView",data)
//进入实验室人员tip列表查询
export const onlineDetail = data => get("laboratory/bigview/sub/onlineDetail",data)
//安全分级
export const classifiedListAll = data => get("/laboratory/classified/listAll",data)
//安全分类
export const classtypeListAll = data => get("/laboratory/classtype/listAll",data)
//预案执行统计
export const getRiskPlanList = data => get("/laboratory/control/getRiskPlanList",data)
//危险源统计
export const queryHazardList = data => get("/laboratory/hazard/queryHazardList",data)
//危险源统计-图表
export const queryHazardColumnarTop = data => get("/laboratory/hazard/queryHazardColumnarTop",data)
//危险源统计-查询危险源
export const queryHazardOption = data => get("/laboratory/hazard/queryHazardOption",data)
//工作通知
export const notifyplan = data => get("/laboratory/notifyplan/"+data,)
//工作计划
export const listIndexJhDetals = data => get("/laboratory/notifyplan/listIndexJhDetals",data)

//预案- 开关给后台传输返回结果 需要MQTT监听是否成功
export const mangerControl = data => post("/laboratory/subject/manger/control/"+data.id+'/'+data.command,)
//预案- 获取开关状态
export const controllerList = data => get("/laboratory/onemachine/"+data+'/controller/list',)
//预案-获取摄像头列表
export const startListDeviceIds = data => get("/algorithm/api/play/startList",data,'video')
//预案-获取报警详情
export const abnormalLogOrderByList = data => get("/laboratory/plan/log/abnormalLogOrderByList",data)
//预案-实验室简要信息
export const bigviewSub = data => get("/laboratory/bigview/"+data+'/sub',)
//预案-传感器信息
export const bigviewFunctionList = data => get("/laboratory/onemachine/"+data+'/function/list',)
//预案-传感器信息
export const bigviewWarnMessage = data => get("/laboratory/bigview/"+data+'/warn/message',)


//查询开发配置
export const getUrlConfig = data => get("/system/urlConfig",data)



//验证验证码
export const verifyCaptcha = data => post("/captcha/verify",data)

//注册(修改密码)
export const register = data => post("/register/cellphone",data)
